TRACEPP(1)

NAME
tracepp - convert and pretty print traces

SYNOPSIS
tracepp [OPTION]... [INFILE [OUTFILE]]

DESCRIPTION
Convert the trace in INFILE and save it in another format to OUTFILE. If OUTFILEis not present, stdout is used. If INFILE is not present, stdin is used. Input should be either in plain format, which means a text file with one action on each line, or the mCRL2 trace format (as generated by lps2lts, for example).

OPTIONS

OPTION can be any of the following:

-fFORMAT, --format=FORMAT
    print the trace in the specified FORMAT: 'plain' plain text (default) 'states' plain text with state vectors 'mcrl2' the mCRL2 format 'aut' the Aldebaran format 'dot' the GraphViz format

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Muck van Weerdenburg.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/tracepp.html>.